Package org.codehaus.janino

# Interface ITypeVariable

All Superinterfaces:
  `IType`, `ITypeVariableOrIClass`

public interface ITypeVariable extends ITypeVariableOrIClass
Type bounds can either be a class or interface type, or a type variable. Example: `MySet<K extends Comparable & T>`

## Method Summary

Modifier and Type
Method
Description
`ITypeVariableOrIClass[]`
`getBounds()`
`String`
`getName()`

## Method Details

### getName

String getName()

### getBounds

ITypeVariableOrIClass[] getBounds() throws CompileException

Returns:
  A zero-length array if this type variable has no bounds
Throws:
  `CompileException`